com.microfocus.awm.meta.interfaces

## Interface RActionParmOverride

- All Superinterfaces:
    AWMObject, org.eclipse.emf.ecore.EObject, org.eclipse.emf.common.notify.Notifier
  All Known Implementing Classes:
    RActionParmOverrideImpl

      public interface RActionParmOverride
      extends AWMObject

  Relationship to an input parameter of the referenced tool descriptor. This makes adaptations to the input parameters valid for precisely one action, so that the re-usability of tool descriptors will be increased.

  The following features are supported:

  - `New Parm From`
  - `New Static Value`
  - `Parm To Override`
  - `Remove Parm`
  See Also:
    `TaurusPackage.getRActionParmOverride()`

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `EParmFromTypes` | `getNewParmFrom()` Returns the value of the 'New Parm From' attribute.
    `java.lang.String` | `getNewStaticValue()` Returns the value of the 'New Static Value' attribute.
    `RToolInParameter` | `getParmToOverride()` Returns the value of the 'Parm To Override' reference.
    `boolean` | `isRemoveParm()` Returns the value of the 'Remove Parm' attribute.
    `boolean` | `isSetNewParmFrom()` Returns whether the value of the '`New Parm From`' attribute is set.
    `boolean` | `isSetRemoveParm()` Returns whether the value of the '`Remove Parm`' attribute is set.
    `void` | `setNewParmFrom(EParmFromTypes value)` Sets the value of the '`New Parm From`' attribute.
    `void` | `setNewStaticValue(java.lang.String value)` Sets the value of the '`New Static Value`' attribute.
    `void` | `setParmToOverride(RToolInParameter value)` Sets the value of the '`Parm To Override`' reference.
    `void` | `setRemoveParm(boolean value)` Sets the value of the '`Remove Parm`' attribute.
    `void` | `unsetNewParmFrom()` Unsets the value of the '`New Parm From`' attribute.
    `void` | `unsetRemoveParm()` Unsets the value of the '`Remove Parm`' attribute.

    - ### Methods inherited from interface com.microfocus.awm.meta.interfaces.AWMObject

      `getComment, isSetComment, setComment, unsetComment`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getNewParmFrom

          EParmFromTypes getNewParmFrom()

      Returns the value of the 'New Parm From' attribute. The literals are from the enumeration `EParmFromTypes`.
      Overwrites the “Parameter_From” attribute of the input parameter.

      Allowed values are:

      - Context
      - Previous_Tool
      - User_Input
      Returns:
        the value of the 'New Parm From' attribute.
      See Also:
        `EParmFromTypes`, `isSetNewParmFrom()`, `unsetNewParmFrom()`, `setNewParmFrom(EParmFromTypes)`, `TaurusPackage.getRActionParmOverride_NewParmFrom()`

    - #### setNewParmFrom

          void setNewParmFrom(EParmFromTypes value)

      Sets the value of the '`New Parm From`' attribute.
      Parameters:
        `value` - the new value of the 'New Parm From' attribute.
      See Also:
        `EParmFromTypes`, `isSetNewParmFrom()`, `unsetNewParmFrom()`, `getNewParmFrom()`

    - #### unsetNewParmFrom

          void unsetNewParmFrom()

      Unsets the value of the '`New Parm From`' attribute.
      See Also:
        `isSetNewParmFrom()`, `getNewParmFrom()`, `setNewParmFrom(EParmFromTypes)`

    - #### isSetNewParmFrom

          boolean isSetNewParmFrom()

      Returns whether the value of the '`New Parm From`' attribute is set.
      Returns:
        whether the value of the 'New Parm From' attribute is set.
      See Also:
        `unsetNewParmFrom()`, `getNewParmFrom()`, `setNewParmFrom(EParmFromTypes)`

    - #### getNewStaticValue

          java.lang.String getNewStaticValue()

      Returns the value of the 'New Static Value' attribute.
      Overwrites the "Static_Value" attribute of the input parameter.
      Returns:
        the value of the 'New Static Value' attribute.
      See Also:
        `setNewStaticValue(String)`, `TaurusPackage.getRActionParmOverride_NewStaticValue()`

    - #### setNewStaticValue

          void setNewStaticValue(java.lang.String value)

      Sets the value of the '`New Static Value`' attribute.
      Parameters:
        `value` - the new value of the 'New Static Value' attribute.
      See Also:
        `getNewStaticValue()`

    - #### getParmToOverride

          RToolInParameter getParmToOverride()

      Returns the value of the 'Parm To Override' reference. The input parameter of the referenced tool descriptor which will be adapted.
      Returns:
        the value of the 'Parm To Override' reference.
      See Also:
        `setParmToOverride(RToolInParameter)`, `TaurusPackage.getRActionParmOverride_ParmToOverride()`

    - #### setParmToOverride

          void setParmToOverride(RToolInParameter value)

      Sets the value of the '`Parm To Override`' reference.
      Parameters:
        `value` - the new value of the 'Parm To Override' reference.
      See Also:
        `getParmToOverride()`

    - #### isRemoveParm

          boolean isRemoveParm()

      Returns the value of the 'Remove Parm' attribute. The default value is `"false"`.
      Ignore this input parameter for this action descriptor; is only possible if the input parameter is declared as optional.
      Returns:
        the value of the 'Remove Parm' attribute.
      See Also:
        `isSetRemoveParm()`, `unsetRemoveParm()`, `setRemoveParm(boolean)`, `TaurusPackage.getRActionParmOverride_RemoveParm()`

    - #### setRemoveParm

          void setRemoveParm(boolean value)

      Sets the value of the '`Remove Parm`' attribute.
      Parameters:
        `value` - the new value of the 'Remove Parm' attribute.
      See Also:
        `isSetRemoveParm()`, `unsetRemoveParm()`, `isRemoveParm()`

    - #### unsetRemoveParm

          void unsetRemoveParm()

      Unsets the value of the '`Remove Parm`' attribute.
      See Also:
        `isSetRemoveParm()`, `isRemoveParm()`, `setRemoveParm(boolean)`

    - #### isSetRemoveParm

          boolean isSetRemoveParm()

      Returns whether the value of the '`Remove Parm`' attribute is set.
      Returns:
        whether the value of the 'Remove Parm' attribute is set.
      See Also:
        `unsetRemoveParm()`, `isRemoveParm()`, `setRemoveParm(boolean)`

Copyright © 2015 Micro Focus GmbH. All rights reserved.